<?php
// This file is part of Moodle - http://moodle.org/.
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * English language strings for the infoscours block.
 *
 * @package    block_infoscours
 * @copyright  UNESS | Pimenko 2024
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Info Course';
$string['infoscours:addinstance'] = 'Add/Edit/View the \"Course Info\" block';
$string['licenseconfig'] = 'license Configuration';
$string['licenseconfig_desc'] = "To create a valid **journal**, you **MUST** follow the specific format :\n\nLICENSE_ID|LICENSE NAME|LICENSE TEXT URL|LICENSE LOGO URL\n\n**Component description:**\n\n- **[LICENSE_ID]**: A number. This is **MANDATORY**.\n- **[LICENSE NAME]**: Any string that does not contain the \"|\" character. This is also **MANDATORY**.\n- **[LICENSE TEXT URL]** and **[LICENSE LOGO URL]**: Optional fields. If they're included, they must be valid URLs (starting with 'http://' or 'https://') separated from the rest of the text by the \"|\" character.\n\nHere are some examples of a _valid_ **journal** :\n\n**Example 1** (ID and Text only): \n\n`12345|Lorem text||`\n\n**Example 2** (With a URL): \n\n`12345|Lorem text|http://mywebsite.com|`\n\n**Example 3** (With two URLs): \n\n`12345|Lorem text|http://mywebsite.com|https://myotherwebsite.com`\n\nRemember, each component must be separated by the \"|\" character. The URL fields are optional and can be left out. But if they're included, they must be valid URLs.";
$string['licenses'] = 'Licenses';
$string['licenses_desc'] = 'Enter each license configuration in a new line.';
$string['invalidlicense'] = 'Invalid license configuration detected. Please ensure it is in the right format.';

$string['categoryinfo'] = 'Category Information Configuration';
$string['categoryinfo_desc'] = "To create a valid **journal**, you **MUST** follow the specific format:\n\nCATEGORY ID|INTRODUCTORY TEXT|LOGO 1 URL|LOGO 1 ALTERNATIVE TEXT|LOGO 2 URL|LOGO 2 ALTERNATIVE TEXT|LOGO 3 URL|LOGO 3 ALTERNATIVE TEXT|LOGO 4 URL|LOGO 4 ALTERNATIVE TEXT|DEFAULT LICENSE ID\n\n**Component description:**\n\n- **[CATEGORY ID]**: A number. This is **MANDATORY**.\n- **[INTRODUCTORY TEXT]**: Any string that does not contain the \"|\" character. This is also **MANDATORY**.\n- **[LOGO 1 URL]**, **[LOGO 2 URL]**, **[LOGO 3 URL]**, and **[LOGO 4 URL]**: Optional fields. If they're included, they must be valid URLs (starting with 'http://' or 'https://') separated from the rest of the text by the \"|\" character.\n- **[LOGO 1 ALTERNATIVE TEXT]**, **[LOGO 2 ALTERNATIVE TEXT]**, **[LOGO 3 ALTERNATIVE TEXT]** and **[LOGO 4 ALTERNATIVE TEXT]**: Optional fields. These are any strings that do not contain the \"|\" character.\n- **[DEFAULT LICENSE ID]**: A number. This is **MANDATORY**.\n\nHere are some examples of a _valid_ **journal**:\n\n**Example 1** (Mandatory fields only): \n\n`12345|Journal Name|||||||||5`\n\n**Example 2** (With all fields) : \n\n`12345|Journal Name|http://mywebsite.com|Description1|https://myotherwebsite.com|Description2|https://yetanotherwebsite.com|Description3|https://lastsite.com|Description4|5`\n\nRemember, each component must be separated by the \"|\" character. The URL and text fields are optional and can be left out. But if they're included, the URLs must be valid URLs and the text fields must not contain the \"|\" character.";
$string['categories'] = 'Categories';
$string['categories'] = 'Categories';
$string['categories_desc'] = 'Configure each category information in a new line.';
$string['invalidcategoryentry'] = 'Invalid category configuration detected. Please ensure it is in the right format.';

$string['generate_activities'] = 'Generate activities';
$string['edit_settings'] = 'Edit settings';

$string['generalsettings'] = 'General settings';
$string['editablesettings'] = 'Editable settings';

$string['projectpresentation'] = 'Project Presentation';
$string['logo1url'] = 'Logo 1 URL';
$string['logo1alt'] = 'Logo 1 Alt Text';
$string['logo2url'] = 'Logo 2 URL';
$string['logo2alt'] = 'Logo 2 Alt Text';
$string['logo3url'] = 'Logo 3 URL';
$string['logo3alt'] = 'Logo 3 Alt Text';
$string['logo4url'] = 'Logo 4 URL';
$string['logo4alt'] = 'Logo 4 Alt Text';
$string['licenseid'] = 'license ID';

$string['generalsettingsempty'] = '<div class="alert alert-warning">The field "block_infoscours_categories" is empty or we didn\'t find any correspondence with your current categorie. Please inform the administrator.</div>';
$string['no_permission_to_edit'] = '<div class="alert alert-danger">You do not have permission to edit this block. Please inform the administrator.</div>';

$string['mainauthor'] = 'Main author';
$string['mainauthorlastname'] = 'Main author\'s last name';
$string['mainauthorfirstname'] = 'Main author\'s first name';
$string['mainauthoremail'] = 'Main author\'s email';
$string['lastname'] = 'Last name';
$string['firstname'] = 'First name';
$string['email'] = 'Email';
$string['addauthor'] = 'Add an additional author';
$string['additionalauthor1'] = 'Additional author 1';
$string['additionalauthor2'] = 'Additional author 2';
$string['additionalauthor3'] = 'Additional author 3';

$string['presentation_cours'] = 'Program / Terms';
$string['prerequis'] = 'Prerequisites';
$string['objectives'] = 'Objectives';
$string['credits_ects'] = 'ECTS Credits';
$string['modes_evaluation'] = 'Evaluation Modes';
$string['duree_heures'] = 'Duration';
$string['contact_email'] = 'Contact (email)';
$string['cycle'] = 'Cycle';
$string['cycle1'] = 'Cycle 1';
$string['cycle2'] = 'Cycle 2';
$string['cycle3'] = 'Cycle 3';
$string['formation_continue'] = 'Continuing Education';
$string['tout_public'] = 'All Audiences';
$string['discipline'] = 'Discipline';
$string['medecine'] = 'Medicine';
$string['odontologie'] = 'Odontology';
$string['pharmacie'] = 'Pharmacy';
$string['maieutique'] = 'Midwifery';
$string['paramedical'] = 'Paramedical';
$string['pass'] = 'PASS';
$string['las'] = 'LAS';
$string['staps'] = 'STAPS';
$string['sante'] = 'Health';
$string['transversal'] = 'Cross-disciplinary';
$string['niveau'] = 'Level/Year';
$string['infra-bac'] = 'Pre-Bachelor';
$string['L1'] = '1st Year Bachelor';
$string['L2'] = '2nd Year Bachelor';
$string['L3'] = '3rd Year Bachelor';
$string['M1'] = '1st Year Master';
$string['M2'] = '2nd Year Master';
$string['doctorat'] = 'Doctorate';
$string['sante_year1'] = 'Health 1st Year';
$string['sante_year2'] = 'Health 2nd Year';
$string['sante_year3'] = 'Health 3rd Year';
$string['sante_year4'] = 'Health 4th Year';
$string['sante_year5'] = 'Health 5th Year';
$string['sante_year6'] = 'Health 6th Year';
$string['du_diu'] = 'University Degree/Diploma of Interuniversity Studies';
$string['date_creation'] = 'Creation Date or Last Pedagogical Update';
$string['dateupdate'] = 'Date of creation or last pedagogical update';
$string['bibliography'] = 'References and Bibliography';
$string['coursetags'] = 'Course Tags';

$string['modaltitle'] = 'AI Consent';
$string['modalbody'] = 'By checking this box, you are consenting to the use of artificial intelligence in the course. Do you agree with this?';
$string['refuse'] = 'No, I do not agree';
$string['authorize'] = 'Yes, I agree';
$string['seeform'] = 'See form';

$string['ai_usage_consent'] = 'IA usage consent';
$string['ai_usage_consent_subtext'] = 'By checking this box, you consent to the use of AI for any information related to the course.';

$string['titleerrorrequired'] = 'Course information to be provided';
$string['modalcreationerror'] = 'An error occurred :';

$string['invalidemail'] = 'Invalid email address.';
$string['invalidintegernumber'] = 'Invalid integer number.';
$string['invalidfloatnumber'] = 'Invalid float number.';
$string['invalidurl'] = 'Invalid URL.';

$string['otherauthor'] = 'Other Authors';
$string['establishement'] = 'School';
$string['establishementlogo'] = 'School Logo';
$string['modesevaluation'] = 'Evaluation Methods';

$string['author'] = 'Author';
$string['courseinfo'] = 'Course Info';
$string['targetpublic'] = 'Target Audience';
$string['references'] = 'References';
$string['license'] = 'License';
$string['licenseaccess'] = 'Access to the terms of use of the license';
$string['requiredauthor'] = "The fields lastname, firstname and email are required and must be filled in.";

$string['blockcontentintro'] = 'Fill out the form to indicate information related to the course to improve display and facilitate searches.';

$string['placeholder_contactemail'] = 'example@example.com';

$string['fonction'] = 'Fonction';
$string['none'] = 'None';

$string['schoollist'] = 'School list';
$string['schoollist_desc'] = 'Configure each school information on a new line.';
$string['schoolinfo'] = 'School information';
$string['schoolinfo_desc'] = "To create a valid **journal**, you **MUST** follow the specific format:\n\nSCHOOL ID|SCHOOL NAME|OPTIONAL URL\n\n**Component description:**\n\n- **[SCHOOL ID]**: A number. This information is **MANDATORY**.\n- **[SCHOOL NAME]**: Any string that does not contain the \"|\" character. This information is also **MANDATORY**.\n- **[OPTIONAL URL]**: Optional field. If included, it must be a valid URL (beginning with 'http://' or 'https://') separated from the rest of the text by the \"|\" character.\n\nHere's an example of a valid **school** list:\n\n**Example** (with optional field):\n\n `12345|School Name|http://mysite.com`\n\n**Example** (with mandatory fields only):\n\n `12345|School Name|`\n\nRemember, each component must be separated by the \"|\" character. The URL field is optional and can be omitted, but if included, the URL must be a valid URL.";

$string['showmore'] = "Show more";
$string['showless'] = "Show less";
$string['authorteam'] = "Authors team";
$string['schools'] = "Schools";
$string['partners'] = "Partners";
$string['courseinformations'] = "Course informations";
$string['addteam'] = "Add team";
$string['invalidschool'] = "An error is present at the indicated line, also know that ID 0 is a reserved value";
$string['privacy:metadata'] = 'The Info cours block only displays existing data.';
