<?php
// This file is part of Moodle - http://moodle.org/.
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * French language strings for the infoscours block.
 *
 * @package    block_infoscours
 * @copyright  UNESS | Pimenko 2024
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Info Cours';
$string['infoscours:addinstance'] = 'Ajouter/Editer/Voir le bloc \"Info Cours\"';
$string['licenseconfig'] = 'Configuration de license';
$string['licenseconfig_desc'] = "Pour créer un **journal** valide, vous **DEVEZ** suivre le format spécifique :\n\nLICENSE_ID|NOM DE LA LICENCE|URL DU TEXTE DE LA LICENCE|URL DU LOGO DE LA LICENCE\n\n**Description du composant :**\n\n- **[LICENSE_ID]** : Un nombre. Ceci est **OBLIGATOIRE**.\n- **[NOM DE LA LICENCE]** : N'importe quelle chaîne de caractères qui ne contient pas le caractère \"|\". Ceci est également **OBLIGATOIRE**.\n- **[URL DU TEXTE DE LA LICENCE]** et **[URL DU LOGO DE LA LICENCE]** : Champs optionnels. S'ils sont inclus, ils doivent être des URL valides (commençant par 'http://' ou 'https://') séparées du reste du texte par le caractère \"|\".\n\nVoici quelques exemples d'un **journal** _valide_ :\n\n**Exemple 1** (ID et texte seulement): \n\n`12345|Texte Lorem||`\n\n**Exemple 2** (Avec une URL): \n\n`12345|Texte Lorem|http://monsite.com|`\n\n**Exemple 3** (Avec deux URL): \n\n`12345|Texte Lorem|http://monsite.com|https://monautresite.com`\n\nRappelez-vous, chaque composant doit être séparé par le caractère \"|\". Les champs URL sont optionnels et peuvent être laissés de côté. Mais s'ils sont inclus, ils doivent être des URL valides.";
$string['licenses'] = 'Licences';
$string['licenses_desc'] = 'Entrez chaque configuration de licence sur une nouvelle ligne.';
$string['invalidlicense'] = 'Configuration de licence invalide détectée. Veuillez vous assurer qu\'elle est au bon format.';

$string['categoryinfo'] = 'Configuration d\'information de catégorie';
$string['categoryinfo_desc'] = "Pour créer un **journal** valide, vous **DEVEZ** suivre le format spécifique :\n\nID CATEGORIE|TEXTE PRESENTATION|URL DU LOGO 1|TEXTE ALTERNATIF LOGO 1|URL DU LOGO 2|TEXTE ALTERNATIF LOGO 2|URL LOGO 3|TEXTE ALTERNATIF LOGO 3|URL LOGO 4|TEXTE ALTERNATIF LOGO 4|ID LICENCE DEFAULT\n\n**Description des composants:**\n\n- **[ID CATEGORIE]**: Un numéro. C'est **OBLIGATOIRE**.\n- **[TEXTE PRESENTATION]**: N'importe quelle chaîne qui ne contient pas le caractère \"|\". C'est également **OBLIGATOIRE**.\n- **[URL DU LOGO 1]**, **[URL DU LOGO 2]**, **[URL DU LOGO 3]** et **[URL DU LOGO 4]**: Champs optionnels. S'ils sont inclus, ils doivent être des URL valides (commençant par 'http://' ou 'https://') séparées du reste du texte par le caractère \"|\".\n- **[TEXTE ALTERNATIF LOGO 1]**, **[TEXTE ALTERNATIF LOGO 2]**, **[TEXTE ALTERNATIF LOGO 3]** et **[TEXTE ALTERNATIF LOGO 4]**: Champs optionnels. Ce sont n'importe quelles chaînes qui ne contiennent pas le caractère \"|\".\n- **[Numéro]**: Un numéro. C'est **OBLIGATOIRE**.\n\nVoici quelques exemples d'un **journal** _valide_ :\n\n**Exemple 1** (Champs obligatoires seulement): \n\n`12345|Nom du journal|||||||||5`\n\n**Exemple 2** (Avec tous les champs) : \n\n`12345|Nom du journal|http://monsiteweb.com|Description1|https://monautresiteweb.com|Description2|https://encoreunsiteweb.com|Description3|https://encoreunsiteweb.com|Description4|5`\n\nRappellez-vous, chaque composant doit être séparé par le caractère \"|\". Les champs URL et texte sont optionnels et peuvent être omis. Mais s'ils sont inclus, les URLs doivent être des URLs valides et les champs texte ne doivent pas contenir le caractère \"|\".";
$string['categories'] = 'Catégories';
$string['categories_desc'] = 'Configurez chaque information de catégorie dans une nouvelle ligne.';
$string['invalidcategoryentry'] = 'Configuration de catégorie invalide détectée. Veuillez vous assurer qu\'elle est au bon format.';

$string['generate_activities'] = 'Générer activités';
$string['edit_settings'] = 'Modifier paramètres';

$string['generalsettings'] = 'Paramètres généraux';
$string['editablesettings'] = 'Paramètres modifiables';

$string['projectpresentation'] = 'Présentation du projet';
$string['logo1url'] = 'URL du Logo 1';
$string['logo1alt'] = 'Texte alternatif du Logo 1';
$string['logo2url'] = 'URL du Logo 2';
$string['logo2alt'] = 'Texte alternatif du Logo 2';
$string['logo3url'] = 'URL du Logo 3';
$string['logo3alt'] = 'Texte alternatif du Logo 3';
$string['logo4url'] = 'URL du Logo 4';
$string['logo4alt'] = 'Texte alternatif du Logo 4';
$string['licenseid'] = 'ID de licence';

$string['generalsettingsempty'] = '<div class="alert alert-warning">Le champ "block_infoscours_categories" est vide ou aucune correspondance n\'a été trouvée avec votre catégorie actuelle. Veuillez en informer l\'administrateur.</div>';
$string['no_permission_to_edit'] = '<div class="alert alert-danger">Vous n\'avez pas la permission d\'éditer ce bloc. Veuillez en informer l\'administrateur.</div>';

$string['mainauthor'] = 'Auteur principal';
$string['mainauthorlastname'] = 'Nom de l\'auteur principal';
$string['mainauthorfirstname'] = 'Prénom de l\'auteur principal';
$string['mainauthoremail'] = 'Email de l\'auteur principal';
$string['lastname'] = 'Nom de famille';
$string['firstname'] = 'Prénom';
$string['email'] = 'Email';
$string['addauthor'] = 'Ajouter un auteur supplémentaire';
$string['additionalauthor1'] = 'Auteur supplémentaire 1';
$string['additionalauthor2'] = 'Auteur supplémentaire 2';
$string['additionalauthor3'] = 'Auteur supplémentaire 3';

$string['presentation_cours'] = 'Programme / Modalités';
$string['prerequis'] = 'Prérequis';
$string['objectives'] = 'Objectifs';
$string['credits_ects'] = 'Crédits ECTS';
$string['modes_evaluation'] = 'Modes d\'évaluation';
$string['duree_heures'] = 'Durée';
$string['contact_email'] = 'Contact (email)';
$string['cycle'] = 'Cycle';
$string['cycle1'] = 'Cycle 1';
$string['cycle2'] = 'Cycle 2';
$string['cycle3'] = 'Cycle 3';
$string['formation_continue'] = 'Formation Continue';
$string['tout_public'] = 'Tous Publics';
$string['discipline'] = 'Discipline';
$string['medecine'] = 'Médecine';
$string['odontologie'] = 'Odontologie';
$string['pharmacie'] = 'Pharmacie';
$string['maieutique'] = 'Maïeutique';
$string['paramedical'] = 'Paramédical';
$string['pass'] = 'PASS';
$string['las'] = 'LAS';
$string['staps'] = 'STAPS';
$string['sante'] = 'Santé';
$string['transversal'] = 'Transversal';
$string['niveau'] = 'Niveau/Année';
$string['infra-bac'] = 'Infra-Bac';
$string['L1'] = '1ère Année de Licence';
$string['L2'] = '2ème Année de Licence';
$string['L3'] = '3ème Année de Licence';
$string['M1'] = '1ère Année de Master';
$string['M2'] = '2ème Année de Master';
$string['doctorat'] = 'Doctorat';
$string['sante_year1'] = 'Santé 1ère Année';
$string['sante_year2'] = 'Santé 2ème Année';
$string['sante_year3'] = 'Santé 3ème Année';
$string['sante_year4'] = 'Santé 4ème Année';
$string['sante_year5'] = 'Santé 5ème Année';
$string['sante_year6'] = 'Santé 6ème Année';
$string['du_diu'] = 'Diplôme Universitaire/Diplôme Interuniversitaire d\'Etudes';
$string['date_creation'] = 'Date de Création ou Dernière Mise à Jour Pédagogique';
$string['dateupdate'] = 'Date de création ou de dernière mise à jour pédagogique';
$string['bibliography'] = 'Références et Bibliographie';
$string['coursetags'] = 'Tags du Cours';

$string['modaltitle'] = 'Consentement IA';
$string['modalbody'] = 'En cochant cette case, vous consentez à l\'utilisation de l\'intelligence artificielle dans le cours. Etes-vous d\'accord avec cela ?';
$string['refuse'] = 'Non, je ne suis pas d\'accord';
$string['authorize'] = 'Oui, je suis d\'accord';
$string['seeform'] = 'Accédez au formulaire';

$string['ai_usage_consent'] = 'Consentement à l\'utilisation de l\'IA';
$string['ai_usage_consent_subtext'] = 'En cochant cette case, vous consentez à l\'utilisation de l\'IA pour toute information relative au cours.';

$string['titleerrorrequired'] = 'Informations du cours à renseigner';
$string['modalcreationerror'] = 'Une erreur c\'est produite :';

$string['invalidemail'] = 'Adresse e-mail invalide.';
$string['invalidintegernumber'] = 'Nombre entier invalide.';
$string['invalidfloatnumber'] = 'Nombre à virgule flottante invalide.';
$string['invalidurl'] = 'URL invalide.';

$string['otherauthor'] = 'Autres auteurs';
$string['establishement'] = 'Établissement';
$string['establishementlogo'] = 'Logo de l\'établissement';
$string['modesevaluation'] = "Modes d'Évaluation";

$string['author'] = 'Auteur';
$string['courseinfo'] = 'Infos cours';
$string['targetpublic'] = 'Public cible';
$string['references'] = 'Références';
$string['license'] = 'Licence';
$string['licenseaccess'] = 'Accéder aux conditions d\'utilisation de la licence';
$string['requiredauthor'] = "Les champs **Nom**, **Prénom** et **Email** sont obligatoires et doivent être remplis.";

$string['blockcontentintro'] = 'Remplissez le formulaire pour indiquer des informations liées au cours afin d\'améliorer l\'affichage et faciliter les recherches.';

$string['placeholder_contactemail'] = 'exemple@exemple.com';

$string['fonction'] = 'Fonction';
$string['none'] = 'Non renseigné';

$string['schoollist'] = 'Liste des établissements';
$string['schoollist_desc'] = 'Configurez chaque information d\'établissement dans une nouvelle ligne.';
$string['schoolinfo'] = 'Informations des établissements';
$string['schoolinfo_desc'] = "Pour créer une liste valide d'**établissements**, vous devez suivre le format spécifique suivant :\n\n Identifiant établissement | Nom établissement | URL facultative\n\n **Description des composants :**\n\n - **[Identifiant établissement]** : Un nombre, cette information est **OBLIGATOIRE**.\n - **[Nom établissement]** : N'importe quelle chaîne de caractères qui ne contient pas le caractère \"|\", cette information est également **OBLIGATOIRE**.\n - **[URL facultative]** : Champs optionnel, si inclus, ce doit être une URL valide (commençant par 'http://' ou 'https://'), séparée du reste du texte par le caractère \"|\".\n\n Voici un exemple d'une liste d'**établissements** valide:\n\n **Exemple** (avec champ facultatif) :\n\n `12345|Nom de l'établissement|http://monsite.com`\n\n **Exemple** (avec seulement des champs obligatoires) :\n\n `12345|Nom de l'établissement|\n\n Rappelez-vous, chaque composant doit être séparé par le caractère \"|\". Le champ d'URL est facultatif et peut être omis, mais s'il est inclus, l'URL doit être une URL valide.";

$string['showmore'] = "Voir plus";
$string['showless'] = "Voir moins";
$string['authorteam'] = "Équipe d'auteurs";
$string['schools'] = "Établissements";
$string['partners'] = "Partenaires";
$string['courseinformations'] = "Informations du cours";
$string['addteam'] = "Ajouter une team";
$string['invalidschool'] = "Une erreur est présente à la ligne indiqué, de plus sachez de l'ID 0 est une valeur réservée";
$string['privacy:metadata'] = 'Le bloc d\'information du cours n\'enregistre pas de données personnelles.';
