@block @block_infoscours @javascript
Feature: Block Infoscours Permissions

  Background:
    Given the following "users" exist:
      | username | firstname | lastname | email               |
      | student  | Student   | 1        | student@example.com |
      | teacher  | Teacher   | 2        | teacher@example.com |
    And the following "courses" exist:
      | fullname | shortname | format |
      | Course 1 | C1        | topics |
    And the following "course enrolments" exist:
      | user    | course | role    |
      | student | C1     | student |
      | teacher | C1     | teacher |
    And I log in as "admin"
    And I am on "Course 1" course homepage
    And I turn editing mode on
    And I add the "Info Course" block if not present
    Then I should see "Info Course"

  Scenario: A student should not be able to see the block
    Given I log in as "student"
    And I am on "Course 1" course homepage
    Then I should not see "Info Course"

  Scenario: A teacher, while not in editing mode, should not see the block
    Given I log in as "teacher"
    And I am on "Course 1" course homepage
    Then I should not see "Info Course"
